> For the complete documentation index, see [llms.txt](https://developer.siteminder.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.siteminder.com/channels-plus-api/reference/export/properties.md).

# Properties

Returns a list of property IDs on Channels Plus that you have access to.

{% hint style="info" %}
**API:** Channels Plus · **Operation:** Properties Export · **Direction:** SM → Channel · **Method:** Pull (Channel-initiated)
{% endhint %}

## GET /properties

> List properties for the channel

```json
{"openapi":"3.0.0","info":{"title":"channels-plus-export-api","version":"0.0.1"},"paths":{"/properties":{"get":{"operationId":"listProperties","description":"List properties for the channel","parameters":[{"$ref":"#/components/parameters/SmApiId"},{"$ref":"#/components/parameters/SmApiKey"},{"name":"page","description":"The page number of the results to fetch","in":"query","schema":{"type":"integer","minimum":1,"default":1}},{"name":"perPage","description":"The number of results per page","in":"query","schema":{"type":"integer","minimum":10,"maximum":500,"default":100,"multipleOf":10}}],"responses":{"200":{"description":"successful","headers":{"ratelimit-policy":{"schema":{"type":"string"},"description":"Shows the number of request allowed per number of seconds window. e.g. '100;w=60' means 100 request in a 60 seconds window."},"ratelimit-limit":{"schema":{"type":"integer"},"description":"The number of requests allowed per window"},"ratelimit-remaining":{"schema":{"type":"integer"},"description":"The number of requests left for the time window."},"ratelimit-reset":{"schema":{"type":"integer"},"description":"The number of seconds left for the window to reset"},"link":{"schema":{"type":"string"},"description":"When a response is paginated, the response headers will include a link header. If the endpoint does not support pagination, or if all results fit on a single page, the link header will be omitted.\nThe link header contains URLs that you can use to fetch additional pages of results. For example, the previous, next, first, and last page of results.\ne.g. '<http://127.0.0.1/properties?page=1>; rel=\"first\", <http://127.0.0.1/properties?page=3>; rel=\"last\", <http://127.0.0.1/properties?page=3>; rel=\"next\", <http://127.0.0.1/properties?page=1>; rel=\"prev\"'\nThe URL for the previous page is followed by rel=\"prev\".\nThe URL for the next page is followed by rel=\"next\".\nThe URL for the last page is followed by rel=\"last\".\nThe URL for the first page is followed by rel=\"first\".\n"}},"content":{"application/json":{"schema":{"type":"array","items":{"type":"object","additionalProperties":false,"properties":{"uuid":{"type":"string"},"name":{"type":"string"}},"required":["uuid","name"]}}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"403":{"$ref":"#/components/responses/Unauthorized"},"404":{"$ref":"#/components/responses/NotFound"},"429":{"$ref":"#/components/responses/RateLimitError"},"500":{"$ref":"#/components/responses/ServerError"}}}}},"components":{"parameters":{"SmApiId":{"name":"x-sm-api-id","description":"The api id for channel","required":true,"in":"header","schema":{"type":"string"}},"SmApiKey":{"name":"x-sm-api-key","description":"The api key for channel","required":true,"in":"header","schema":{"type":"string"}}},"responses":{"BadRequest":{"description":"Invalid request","headers":{},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"NotFound":{"description":"The specified resource was not found","headers":{},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"RateLimitError":{"description":"The number of requests for the last 5 minutes window has reached the limit for the given channel","headers":{"ratelimit-policy":{"schema":{"type":"string"},"description":"Shows the number of request allowed per number of seconds window. e.g. '100;w=60' means 100 request in a 60 seconds window."},"ratelimit-limit":{"schema":{"type":"integer"},"description":"The number of requests allowed per window"},"ratelimit-remaining":{"schema":{"type":"integer"},"description":"The number of requests left for the time window."},"ratelimit-reset":{"schema":{"type":"integer"},"description":"The number of seconds left for the window to reset"}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"ServerError":{"description":"Unexpected error occurred","headers":{},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"schemas":{"Error":{"type":"object","required":["errors"],"properties":{"errors":{"minItems":1,"type":"array","description":"An array of error objects, for most errors, this array would only contain one error object. An errors array must contain at least one error object.","items":{"type":"object","required":["code"],"properties":{"code":{"type":"string"},"message":{"type":"string"},"meta":{"type":"object"}}}}}}}}}
```

{% hint style="success" icon="sparkles" %}

## Still have questions?

Use the <i class="fa-gitbook-assistant">:gitbook-assistant:</i> **Ask** button at the top of the page to chat with our AI assistant — it can help you navigate the guide, understand requirements, and troubleshoot issues.

If you need more support, visit [Integration Support](/integration-support/integration-support.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.siteminder.com/channels-plus-api/reference/export/properties.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
